* {
  box-sizing: border-box;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
}

@font-face {
  font-family: 'CiscoSansThin';
  src: url('https://cisco-ce.github.io/roomos-samples/kiosk-example/assets/CiscoSansThin.otf');
  font-weight: normal;
  font-style: normal;
}

html, body {
  height: 100vh;
  padding: 0;
  margin: 0;
  overflow: hidden;
}

body {
  display: flex;
  flex-direction: column;
  justify-content: center;

  font-family: CiscoSansThin, arial;

  background-color: #141414;

  color: white;
  font-size: 36px;

  margin: 0 32px;
}

.logo {
  background-image: url('logo.jpg');
  background-position: 24px 24px;
  background-repeat: no-repeat;
}

a, button {
  color: inherit;
  font-family: inherit;
  font-size: inherit;
  text-decoration: none;
}

a:hover, button:hover {
  text-decoration: underline;
}

h1 {
  font-size: 100px;
}

h2 {
  font-size: 50px;
}

h1, h2, label {
  text-align: center;
}

button {
  background-color: transparent;
  border: 0;
}

.touch-to-start {
  animation: pulse 1.6s linear infinite;
}

@keyframes pulse {
  0% { transform: scale(1) }
  50% { transform: scale(1.07) }
  100% { transform: scale(1) }
}

#service-row {
  display: flex;
  gap: 16px;
  > * {
    flex: 1 0 0;
  }
}

#service {
  display: grid;
  grid-template-rows: 200px auto;
  gap: 16px;
}

.container {
  display: flex;
  flex-direction: column;
}

.avatar {
  border: 1px solid white;
  border-radius: 50%;
  height: 100%;
  margin: auto;
  margin-bottom: 16px;
}

#back {
  position: fixed;
  left: 24px;
  bottom: 24px;
  z-index: 1000;
}

#modal {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1001;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.5);

  padding: 32px;

  display: grid;
  grid-template-rows: auto 1fr;
  > button {
    margin-left: auto;
    margin-right: 32px;
  }
  > iframe {
    border: 0;
    width: 100%;
    height: 100%;
  }
}